:-features( lemma, [lex,lemma,cat,top,anchor,truelex] ).
:-features( tag_anchor, [name, coanchors, equations ] ).
:-op(710,xfx,[at]).
:-op(705,xfy,[and]).

:-features( tag_tree, [ family, name, tree ] ).
:-features( tag_anchor, [name, coanchors, equations ] ).
:-features( lexicon, [lex,cat,ht,top] ).
:-features('CS',[gender,mode,number,person,que,tense,wh]).
:-features('Infl',[aux_req,diathesis,gender,inv,mode,number,person,tense,wh]).
:-features('N',[gender,hum,number,person]).
:-features('N2',[gender,hum,number,person,sat,time,wh]).
:-features('PP',[gender,number,pcas,person,real,wh]).
:-features('S',[extracted,extraction,gender,inv,mode,neg,number,person,sat,tense,wh,xarg]).
:-features('V',['Vadj',diathesis,gender,inv,mode,neg,number,person,tense]).
:-features('V1',[gender,inv,mode,neg,number,person,tense]).
:-features('VMod',[cat,gender,mode,neg,number,person,position,tense]).
:-features(adj,[degree,gender,number,person,position,pre_det]).
:-features(adjP,[gender,number,person]).
:-features(adv,[adv_kind,degree]).
:-features(advneg,[neg,que]).
:-features(arg,[extracted,kind,pcas,real]).
:-features(aux,[aspect,aux_req,diathesis,form_aux,gender,lightverb,mode,number,person,tense]).
:-features(cla,[case,gender,kind,number,pcas,person,real]).
:-features(cld,[case,extracted,gender,kind,number,pcas,person,real]).
:-features(clg,[case,extracted,gender,kind,number,pcas,person,real]).
:-features(cll,[case,gender,number,pcas,person]).
:-features(cln,[case,gender,number,person]).
:-features(clneg,[clneg]).
:-features(clr,[number,person]).
:-features(comp,[gender,number,person,real]).
:-features(csu,[que,wh]).
:-features(det,[def,dem,det,gender,number,numberposs,person,poss,wh]).
:-features(ht,[arg0,arg1,arg2,cat,diathesis,refl]).
:-features(incise,[incise_kind,position]).
:-features(nc,[def,gender,hum,number,person,time]).
:-features(ncpred,[gender,lightverb,number,person]).
:-features(np,[gender,hum,number,person]).
:-features(number,[gender]).
:-features(prel,[extracted,fct,gender,kind,number,pcas,person,real]).
:-features(prep,[pcas]).
:-features(pri,[fct,gender,number,person]).
:-features(pro,[def,dem,fct,gender,hum,number,numberposs,person]).
:-features(v,[aspect,aux_req,diathesis,extracted,gender,kind,lightverb,mode,number,pcas,person,real,tense]).
:-features(xarg,[gender,number]).
:-finite_set(adv_kind,[-,intensive,trs]).
:-finite_set(arg,[-,cleft,rel,wh]).
:-finite_set(aspect,[imperfect,perfect]).
:-finite_set(aux_req,[avoir,'tre']).
:-finite_set(case,[-,acc,dat,gen,loc,nom,rfl]).
:-finite_set(cat,[-,'CS','N','N2','PP','S','V',adj,adv,advneg,aux,cla,cld12,cld3,clg,cll,cln,comp,coo,csu,det,nc,ncpred,np,number,poncts,prel,prep,pres,pri,pro,v]).
:-finite_set(diathesis,[active,passive]).
:-finite_set(extraction,[-,adjx,cleft,rel,wh]).
:-finite_set(flag,[+,-]).
:-finite_set(form,[comme,il,que,si,'a']).
:-finite_set(form_aux,[aller,avoir,etre,venir,'venir-de','tre']).
:-finite_set(gender,[-,fem,masc]).
:-finite_set(incise_kind,[coma,dash,par]).
:-finite_set(inv,[+,-,cl]).
:-finite_set(kind,[-,acomp,comp,ncomp,obj,prepacomp,prepobj,prepscomp,prepvcomp,scomp,subj,vcomp,whcomp]).
:-finite_set(lightverb,[-,avoir,donner,faire,prendre]).
:-finite_set(mode,[-,conditional,gerundive,imperative,indicative,infinitive,participle,subjonctive]).
:-finite_set(number,[-,pl,sg]).
:-finite_set(person,[-,1,2,3]).
:-finite_set(position,[-,ante,post]).
:-finite_set(prep,[+,-,a,apres,'aprs',autre,avec,comme,contre,dans,de,devant,en,par,pour,sur,vers,'']).
:-finite_set(sat,[+,-,ppart]).
:-finite_set(tense,[-,future,'future-perfect',imperfect,past,'past-anterior','past-historic',perfect,pluperfect,present]).
:-finite_set(type,[card,def,dem,excl,ind,int,ord,part,poss,qual,rel]).
:-finite_set('v-form',[infinitive,participle,tense]).
